import { jsx } from "react/jsx-runtime";
import { TokenBLXM as TokenBLXM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBLXM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "BLXM", "data-name": "TokenBLXM", ...props, children: /* @__PURE__ */ jsx(TokenBLXM$1, { variant }) });
  }
);
TokenBLXM.displayName = "TokenBLXM";
Object.assign(TokenBLXM, { isGdsIcon: true });
export {
  TokenBLXM
};
